People & profiles
Get Pending Changes For Employee
Returns an employee's pending change requests keyed by category with requester name.
GEThttps://api.toku.com/hris/get-pending-changes-for-employee
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-pending-changes-for-employee?roleInOrgID=%3CroleInOrgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"pendingByCategory": {},
"scheduledChanges": [
{
"changeRequestId": "string",
"changes": {},
"requestedAt": "string",
"requestedByName": "string",
"category": "string",
"effectiveDate": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredResponse
200Successful response
pendingByCategoryobjectrequiredscheduledChangesobject[]requiredShow child attributes
changeRequestIdstringrequiredchangesobjectrequiredrequestedAtstringrequiredrequestedByNamestringrequiredcategorystringrequiredeffectiveDatestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits